#pragma once

#include "CoreMinimal.h"
#include "WingHandler.h"
#include "WingManual.h"
#include "UserManual.generated.h"

UCLASS()
class UWing_UserManual : public UWingHandler
{
	GENERATED_BODY()

public:
	virtual void Register() override
	{
		UWingServer::AddHandler(this,
			TEXT("Print the user manual."));
	}
	virtual void Handle() override
	{
		WingManual::PrintManual({WingManual::Section::All}, nullptr, false);
	}
};
